Subject: Re: cygwin windows to linux cross compiler issues !!
From: "mohanlal jangir" <[email-masked]>
To: "Andrew Markebo" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Thu, 4 Dec 2003 09:47:34 +0530

I remember, during cygwin installation I clicked dos. But I don't know how
to change this now. I hope there should be some way to do this without
reinstalling cygwin. I have installed cygwin in my E: drive and mount gives
following output:

$ mount
E:\cygwin\bin on /usr/bin type system (textmode)
E:\cygwin\lib on /usr/lib type system (textmode)
E:\cygwin on / type system (textmode)
c: on /cygdrive/c type user (textmode,noumount)
d: on /cygdrive/d type user (textmode,noumount)
e: on /cygdrive/e type user (textmode,noumount)
m: on /cygdrive/m type user (textmode,noumount)

I think, the textmode is causing problem. How to get rid of this?

Regards
Mohanlal

> Well run with unix-newlinemode on the filesystem you compile the files
> on and /tmp, hmm binmode if my mind doesn't fail. type mount and see
> what it says.
>
> Did you click dos or unix during install.
>
>      /A
>
>
>
> / "mohanlal jangir" <[email-masked]> wrote:
> | I could succeed to build cygwin windows to linux cross compiler.
Binaries
> | seems to be almost ok as I am able to compile many applications
perfectly.
> | While cross compiling linux kernel, I encountered one problem:
> |
> | I used to get some errors from Assermber like "Error: junk `adcl
$0xffff'
> | after register". For looking into this, I compiled those files
> | with -save-temp option and edited .s files. In .s files the section #APP
> | seems to have some problem. I found that all assembaly instruction are
in
> | single line, which is casuing assember to give error.
> |
> | #APP
> |    addl 16(%esp), %eax    adcl 12(%esp), %eax    adcl %edx, %eax    adcl
$0,
> | %eax
> | #NO_APP
> |
> | When I changed above code to
> | #APP
> |    addl 16(%esp), %eax
> |    adcl 12(%esp), %eax
> |    adcl %edx, %eax
> |    adcl $0, %eax
> | #NO_APP
> |
> | I could compile the .s file into .o successfully. This seems to be
dos/unix
> | file format issue, which has not been take care.
> | Is there some easy way to get around this problem or I have to rebuild
tool
> | chain.
> |
> | Regards
> | Mohanlal
> |
>
> --
>   "We are all in the gutter, but some of us are looking at the stars"
>       Oscar Wilde
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/